Summary: RPM installer/updater config files
Name: yum-autoupdate
Version: 1.2
Release: 2.SL
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service
Requires: /etc/cron.daily mailx
Epoch: 5
Provides: yum-autoupdate

%description
Setup yum in you daily cron.
Also provides yum.cron.excludes, a list of packages excluded from the
yum autoupdate.  Packages listed in the yum.cron.excludes are not excluded
when a user runs yum interactivly.
Configuration files are kept in %{_sysconfdir}/yum.d/

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc
bash -n %{_sysconfdir}/cron.daily/yum.cron

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.updateexec
%config %{_sysconfdir}/init.d/yum
%{_sysconfdir}/yum.d/

%changelog
* Fri Jun 15 2012 Pat Riehecky <riehecky@fnal.gov> 1.2-2.SL
- doing a better job creating the tempfiles

* Mon Apr 2 2012 Pat Riehecky <riehecky@fnal.gov> 1.2-1.SL
- added PRERUN and POSTRUN from SL6
- added /etc/yum.d/yum.cron.updateexec for configuring PRERUN and POSTRUN

* Tue Sep 27 2011 Pat Riehecky <riehecky@fnal.gov> 1.1-2.SL
- added dependency

* Wed Jun 15 2011 Troy Dawson <dawson@fnal.gov> 1.1-1.SL
- Use mktemp for dynamic temp files that are created 

* Thu Dec 21 2006 Troy Dawson <dawson@fnal.gov> 1-1.SL
- Split off from yum-conf
- Changed yum.cron so that when it builds the temporary yum.conf, all
  it is doing is just adding the excludes to the original yum.conf
